#include <iostream>

using namespace std;

int main()
{
    unsigned n, l, h;
    cin >> n >> l;

    for (unsigned i = 1; i <= n; i++) {
        cin >> h;
        if (l >= h) {
            cout << i;
            return 0;
        }
    }
    cout << -1;
    
    return 0;
}